%define	name	slune
%define	oname	Slune
%define	version	1.0.12
%define	rel	4
%define	release	%mkrel %{rel}
%define	Summary	A multiplayer 3D racing and car-crashing game in Python

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.tar.bz2
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python >= %{pyver} tkinter soya >= 0.12
Requires:	pyopenal >= 0.1.5 py2play >= 0.1.7 pyvorbis
BuildRequires:	python-devel
Url:		http://home.gna.org/oomadness/en/slune/index.html

%description
A 3D racing and car-crashing game in Python, with multiplayer mode.
In this game, Gnu and Tux must provide AIDS medicine for Africa.
Includes a multiplayer mode.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install	--root=%{buildroot} \
			--install-purelib %{_gamesdatadir} \
			--install-scripts %{_gamesbindir} \
			--install-data %{_gamesdatadir} \
			--no-lang

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Slune
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame
StartupNotify=true
Encoding=UTF-8
EOF

install -m644 ./images/slune.16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 ./images/slune.32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 ./images/slune.48.png -D %{buildroot}%{_liconsdir}/%{name}.png

# install translations
for f in ./locale/*
	do install -m644 ./$f/LC_MESSAGES/%{name}.mo -D %{buildroot}%{_datadir}/$f/LC_MESSAGES/%{name}.mo
done

%find_lang %{name}

# remove %lang(en) from slune.lang to ensure english text being installed, as it's required
perl -pi -e "s#\%lang\(en\) ##g" slune.lang

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README README.fr AUTHORS CHANGES manual.fr.pdf
%{_gamesdatadir}/%{name}
%{_gamesdatadir}/*.egg-info
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}





%changelog
* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 1.0.12-4mdv2008.0
+ Revision: 87901
- drop old menu
- package egg-info file
- Import slune



* Mon Sep 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.12-3mdv2007.0
- drop python-psyco from enhances..

* Sun Aug 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.12-2mdv2007.0
- fix use of summary macro in menu
- fix xdg menu permissions
- add mandriva category to xdg menu
- add enhances tag on python-psyco
- cosmetics

* Sun Aug 27 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.12-1mdv2007.0
- 1.0.12
- various fixes for xdg menu

* Tue Jul 11 2006 Lenny Cartier <lenny@mandriva.com> 1.0.11-2mdv2007.0
- xdg menu

* Fri May 12 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.11-1mdk
- 1.0.11
- update url

* Wed Oct 26 2005 Lenny Cartier <lenny@mandriva.com> 1.0.9-3mdk
- rebuild for allegro

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.9-2mdk
- Fix BuildRequires

* Wed Aug 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.9-1mdk
- 1.0.9

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.7-2mdk
- don't require psyco (package is noarch and %%if is done at build time..)
- update url
- %%mkrel

* Wed Mar 02 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.7-1mdk
- 1.0.7
- require python-psyco on %%ix86 to for performance gain
- es translation now exist, don't remove it

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.6-2mdk
- fix buildrequires

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.6-1mdk
- 1.0.6

* Mon Oct 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Fri Oct 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.3-1mdk
- 1.0.3

* Mon Aug 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7b-2mdk
- fix dependency suckage (fixes #10352)
- update url

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7b-1mdk
- 0.7b
- update versions requirements on dependencies
- fix doc permissions

* Tue Dec 23 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-2mdk
- add pyvorbis to requires
- fix my formatting again *grmpf!*
- cleanups

* Mon Dec 22 2003 Pierre Hugues Husson <phh@sidenux.ath.cx> 0.6.1-1mdk
- 0.6.1

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.5-1mdk
- 0.5

* Sat Apr 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4-1mdk
- spec file fixes
- from Jean-Baptiste Lamy <jiba@tuxfamily.org>
  - new version
  - icons and nb translation have been integrated to Slune
  - better description
  - removed soundwrapper (Slune is not binary => don't work; and OpenAL is normally
    able to figure out the sound system to use (ESD, ARTS, OSS,...))
  - move stuff from %%{_datadir}/%%{name} to %%{_gamesdatadir}/%%{name}
  
* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-2mdk
- corrected group
- added nb translation

* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-1mdk
- initial mdk release
